---
layout: markdown_page
title: "Category Direction - Value Stream Management"
description: "Value stream management helps software organizations understand and measure how quickly and reliably they can deliver value to end users."
---

- TOC
{:toc}

| Category | **Value Stream Management** |
| --- | --- |
| Stage | [Plan](https://about.gitlab.com/handbook/product/categories/#plan-stage) |
| Group | [Optimize](https://about.gitlab.com/handbook/product/categories/#optimize-group) |
| Maturity | [Minimal](/direction/maturity/) |
| Content Last Reviewed | `2023-05-16` |

### Contributing
Thanks for visiting the Value Stream Management direction page. This page is actively maintained by the [Optimize group](https://about.gitlab.com/handbook/product/categories/#optimize-group). You can contribute or provide feedback by:

1. Posting questions and comments in the [public epic](https://gitlab.com/groups/gitlab-org/-/epics/9882).
1. Finding issues in this category that are labeled "Seeking community contributions".

### Overview

<%= partial("direction/plan/value_stream_management/templates/overview") %>

### Vision

GitLab will be the tool of choice for the data-driven DevOps organization — enabling teams and managers to understand all aspects of productivity, quality, security and delivery without any complex configurations or data scientists.


### 1 year plan 


1. Helps organizations [optimize their software development processes](https://about.gitlab.com/company/strategy/#1-customer-results) to deliver better software faster, by providing [analytics for enterprise management](https://about.gitlab.com/direction/#observability-analytics--feedback). To achieve this, we will focus on:

   * General availability (GA) the [Value Stream Dashboard.](https://gitlab.com/groups/gitlab-org/-/epics/9317)
   * [Consolidate VSA Group & Project into a single object - workspace](https://gitlab.com/groups/gitlab-org/-/epics/9295)
   * Extend [VSA & DORA Integrations](https://gitlab.com/groups/gitlab-org/-/epics/8369).
   * Enable fast analytical queries and deep data analysis by replicating GitLab analytics metrics into a [new data warehouse](https://gitlab.com/groups/gitlab-org/-/epics/9318).

2. Enhance usability: Deliver excellent "out-of-the-box" [experience](https://about.gitlab.com/direction/#world-class-devsecops-experience) for ~"Category:Value Stream Management" to visualize for everyone the unique power of measuring software delivery value in a single DevSecOps platform. To achieve this, we will focus on:

   * Uplift [VSA usability](https://gitlab.com/groups/gitlab-org/-/epics/5272) to enabling teams and managers understand all aspects of productivity, quality, security and delivery without any complex configurations or data scientists.
   * ~Dogfooding [VSD, VSA and DORA](https://gitlab.com/groups/gitlab-org/-/epics/3894).
   * Consolidations and Centralization ~"group::optimize" [analytics pages](https://gitlab.com/groups/gitlab-org/-/epics/8305)

3. Demonstrate value of tier upgrades to drive progress on GitLab strategic pillar of [Customer Results](https://about.gitlab.com/company/strategy/#1-customer-results). To achieve this, we will focus on:

   * Adding [YML schema-driven customizable UI to VSD](https://gitlab.com/groups/gitlab-org/-/epics/8925). ~"GitLab Ultimate"
   * Add [business value metrics into Value Stream Dashboard](https://gitlab.com/gitlab-org/gitlab/-/issues/381730). ~"GitLab Ultimate"
   * Adding new [Flow metrics into Value Stream Analytics](https://gitlab.com/groups/gitlab-org/-/epics/6795).

#### What's next and why

<%= partial("direction/plan/value_stream_management/templates/next") %>

#### Recent accomplishments

- Value Streams Dashboard released in Beta - [This Beta release](https://about.gitlab.com/releases/2023/04/22/gitlab-15-11-released/#value-streams-dashboard-released-in-beta) is focused on measuring software development (DORA4) and the flow of value delivery (Value Stream Analytics) across projects and groups.
- New [Value Stream Analytics Overview total time chart](https://about.gitlab.com/releases/2023/04/22/gitlab-15-11-released/#new-visualization-of-stages-breakdown-in-value-stream-analytics) to visualization the stages breakdown - This new visualization helps managers uncover how long it actually takes to complete the development process from idea to production,  as well as how much time the team spend in each stage of the workflow.
- [New pairing rule for custom stages in Value Stream Analytics](https://about.gitlab.com/releases/2023/03/22/gitlab-15-10-released/#new-pairing-rule-for-custom-stages-in-value-stream-analytics) - new pairing rule for customizable stages between MR label events and MR merged events.
- New GraphQL API for Contribution Analytics. To help you analyze team contributions, we have now exposed the Contribution Analytics data through GraphQL. Using this [new API](https://docs.gitlab.com/ee/api/graphql/reference/index.html#groupcontributions), you can identify opportunities for improvement and gain insights into the top contributors in your team. The [Contribution Analytics](https://docs.gitlab.com/ee/user/group/contribution_analytics/index.html) report visualizes the team’s push events, merge requests, and opened or closed issues at a group level over time. 
- New [Custom DORA reporting](https://about.gitlab.com/releases/2022/08/22/gitlab-15-3-released/#dora-custom-reporting-for-data-driven-software-development-improvements) for tracking metrics improvements, understand patterns in metrics trends, and compare performance between groups and projects.
- [Adding DORA metrics into the Value Stream Analytics](https://gitlab.com/gitlab-org/gitlab/-/issues/359060). We enhanced the visibility into the value stream performance with the [DORA's metrics as the measure of the outputs of the value stream](https://about.gitlab.com/blog/2022/06/20/gitlab-value-stream-management-and-dora/). The four DORA's metrics are now available in the [Value Stream Analytics](https://docs.gitlab.com/ee/user/group/value_stream_analytics) Overview metrics dashboard:

#### Top Vision Item(s)

- Value-stream Autonomous mapping tool
- Software delivery optimization AI recommendation 

### Top cross-stage items


- [Consolidate VSA Group & Project into a single object - Workspace](https://gitlab.com/gitlab-org/gitlab/-/issues/367532)
- Value Streams Dashboard: Adding [Vulnerabilities metrics to the "Metrics comparative table".](https://gitlab.com/gitlab-org/gitlab/-/issues/383697)
- Value Streams Dashboard - extend to "Product Analytics" [schema-driven customizable UI](https://gitlab.com/groups/gitlab-org/-/epics/8925).
- DORA integration with GitLab [Incident Tag.](https://gitlab.com/gitlab-org/gitlab/-/issues/336026)

## Competitive Analysis

### Why using GitLab for Value Stream Management?

1. Out-of-the-box [Value Stream Insight, Reporting and dashboards](https://gitlab.com/gitlab-org/gitlab/-/value_stream_analytics?created_after=2022-12-31&created_before=2023-01-29&stage_id=issue&sort=end_event&direction=desc&page=1).
2. Collects and shows data across the entire software lifecycle with no integrations to be managed.
3. [DORA metrics](https://about.gitlab.com/direction/plan/dora_metrics/) coupled with the Value Stream Analytics that helps draw insights about the velocity and stability of software delivery lifecycle.
4. A common data model representing people, processes, work items, and time to remove silos.
5. Multiple [custom value streams](https://docs.gitlab.com/ee/user/group/value_stream_analytics/#create-a-value-stream-with-custom-stages) for end-to-end view of value delivery and application health
6. The One DevOps Platform - Single Application for Entire DevOps Lifecycle
7. Open Source; Everyone Can Contribute. 
8. Deploy Your Software Anywhere.

### Competitive Landscape

Top 3 Competitors: 

1. [Tasktop](https://www.tasktop.com/) (acquired by Planview) - Best In Class (BIC) competitor.
2. [Digital.ai](https://digital.ai/)
3. [Plutora Analytics](https://www.plutora.com/platform/plutora-analytics) 

Based on our analysis,  we've identified Planview-Tasktop as the Best In Class (BIC) competitor over Digital.ai and Plutora.

#### Tasktop - Best In Class (BIC) competitor
[Tasktop ](https://www.tasktop.com/integration-hub) is exclusively focused on Value Stream Management and allows users to connect more than 50 tools together, including Atlassian's JIRA, GitLab, GitHub, JamaSoftware, CollabNet VersionOne, Xebia Labs, and TargetProcess to name a few. Tasktop serves as an integration layer on top of all the software development tools that a team uses and allows for mapping of processes and people in order to achieve a common data model across the toolchain. End users can visualize the flows between the different tools and the data can be exported to a database for visualization through BI tools.

Based on our analysis, we've identified these gaps against Tasktop:

| Gap | Roadmap to close this gap|
|-----|---------|
| Limited Analytics & Visualization capabilities | [Adding Value Streams Dashboard - Comparison page](https://gitlab.com/groups/gitlab-org/-/epics/9559),  [Overview page](https://gitlab.com/groups/gitlab-org/-/epics/9558),  [Schema-driven customizable UI](https://gitlab.com/groups/gitlab-org/-/epics/8925) |
| limited flow analysis | [Add VSA Overview cumulative flow diagram](https://gitlab.com/gitlab-org/gitlab/-/issues/366780),  [Add Stage time - scatterplot](https://gitlab.com/groups/gitlab-org/-/epics/8374),  [Add SAFe Flow Metrcis](https://gitlab.com/groups/gitlab-org/-/epics/6795),  [Usability improvements to "tasks by type" chart](https://gitlab.com/groups/gitlab-org/-/epics/7412) |
| limited number of integrations | [VSA API](https://gitlab.com/groups/gitlab-org/-/epics/8369) |
| Missing value delivery metrics | [Adding business value metrics](https://gitlab.com/gitlab-org/gitlab/-/issues/381730),  [Adding OKR Health status](https://gitlab.com/gitlab-org/gitlab/-/issues/384923) |

#### Digital.ai 

[Digital.ai](https://digital.ai/) AI-Powered DevOps platform.  Digital.ai has been on a multiyear, multiacquisition journey that includes Arxan, CollabNet
VersionOne, Experitest, Numerify, and XebiaLabs. Its plan to be a front-runner in AI-driven software delivery for Global 5000 enterprises.

[XebiaLabs' analytics (acquired by Digital.ai)](https://docs.xebialabs.com/xl-release/concept/release-dashboard-tiles.html) are predominantly focused on the Release Manager and give useful overviews of deployments, issue throughput and stages. The company integrates with JIRA, Jenkins, etc and end users can see in which stage of the release process they are.

#### Plutora
[Plutora Analytics](https://www.plutora.com/platform/plutora-analytics) Plutora is a privately held global software (SaaS) company, providing Value Stream Management solutions for enterprise IT in the areas of Release Management and Orchestration, Test Environment Management, Deployment Management, and Analytics.. Plutora seem to target mainly the release managers with their [Time to Value Dashboard](https://www.plutora.com/platform/time-to-value-dashboard). The company also integrates with JIRA, Jenkins, GitLab, CollabNet VersionOne, etc but there is still a lot of configuration that seems to be left to the user.

Key Features for Comparison:

1. Data Analytics - Visualize the data into valuable insights and actionable information to support decision-making and strategic planning. The ability to analyze the stream performance, team productivity, and work distribution. This includes custom dashboards and detailed reports with the underline data.   
2. Data Collection - Capturing and aggregating DORA, Flow, DevOps, Ops and Security metrics.
3. Common Data Model - Set of value stream objects representing the DevOps lifecycle to enable customers to map the end-to-end processes. The ability to create and manage single or multiple value streams as a single source of insight for the organization.This include - users, processes (workflow labels), work items (issues, MRs and epics) and time tracking. 
4. Integrations - Inbound and outbound integrations with 3rd party tools.
5. Value Measurement - Connect software investments to business results. Capture, calculate, and track product usage, OKRs, cost metrics, and business KPIs (Revenue, Renewals).
6. Governance and Compliance - The ability to monitor compliance to organizational standards.
7. AI/ML - Leverages AI/ML for better decision-making. The ability to predict trends, detects blind spots, bobble-up insights, and automate processes to reduce manual tasks.

GitLab vs the Top 3 Competitors - Planview-Tasktop/Digital.ai/Plutora:

1. GitLab versus [Planview-Tasktop](https://www.tasktop.com/): 

| Feature | GitLab | Planview-Tasktop |
| ------ | ------ | ------ |
|   Data Analytics   | 🟨  |  🟩 |
|   Capturing Data, Metrics and KPIs    | 🟨 | 🟩 |
|   Common Data Model    | 🟩 | 🟩 |
|   Integrations     | ⬜️  | 🟩 |
|   Value Measurement    | ⬜️  | 🟩 |
|   Governance and Compliance    | 🟩 | 🟩 |
|   AI/ML     | ⬜️ | 🟨 |

2. GitLab versus [Digital.ai](https://digital.ai/): 

| Feature | GitLab | Digital.ai |
| ------ | ------ | ------ |
|   Data Analytics   | 🟨  |  🟩 |
|   Capturing Data, Metrics and KPIs    | 🟨| 🟩 |
|   Common Data Model    | 🟩 | 🟩 |
|   Integrations     | ⬜️  | 🟩 |
|   Value Measurement    | ⬜️  | 🟩 |
|   Governance and Compliance    | 🟩 | 🟨 |
|   AI/ML     | ⬜️ | 🟩 |

3. GitLab versus [Plutora](https://www.plutora.com): 

| Feature | GitLab | Digital.ai |
| ------ | ------ | ------ |
|   Data Analytics   | 🟨  |  🟩 |
|   Capturing Data, Metrics and KPIs    | 🟨| 🟩 |
|   Common Data Model    | 🟩 | 🟩 |
|   Integrations     | ⬜️  | 🟩 |
|   Value Measurement    | ⬜️  | 🟨 |
|   Governance and Compliance   | 🟩 | 🟨 |
|   AI/ML     | ⬜️ | ⬜️ |

More competitors in our Landscape:

#### TargetProcess
[Targetprocess](https://www.targetprocess.com) tries to provide a full overview of the delivery process and integrates with Jenkins, GitHub and JIRA. The company also provides customizable dashboards that can give an overview over the process from ideation to delivery.

#### GitPrime
Although [GitPrime](https://www.gitprime.com) doesn't try to provide a value stream management solution, it focuses on productivity metrics and cycle time by looking at the productivity of a team. It exclusively uses only git data.

#### Azure DevOps
Naturally, [Azure](https://docs.microsoft.com/en-us/azure/devops/report/dashboards/analytics-widgets?view=azure-devops) is working on adding analytics that can help engineering teams become more effective but it's still in very early stages. It has also recently acquired [PullPanda](https://pullpanda.com).

#### Velocity by Code Climate
Similarly to GitPrime, [Code Climate](https://codeclimate.com/velocity/understand-diagnose/) focuses on the team and uses git data only.

#### Gitalytics
Similarly to GitPrime, [Gitalytics](https://gitalytics.com) focuses on the team and uses git data only.

#### Gitential
[Gitential](https://gitential.com)

#### Gitclear
[Gitclear](https://gitclear.com)

#### Gitlean
[Gitlean](https://gitlean.com)

#### CollabNet VersionOne
[CollabNet VersionOne](https://www.collab.net) provides users with the ability to input a lot of information, which is a double edged sword as it can lead to duplication of effort and stale information when feeds are not automated. It does however, allow a company to visualize project streams from a top level with all their dependencies. End users can also create customizable reports and dashboards that can be shared with senior management.

#### CA Technologies
[CA Agile Central](https://docs.ca.com/en-us/ca-agile-central/saas/iteration-burndown) combines data across the planning process in a single integrated page with custom applications available to CA Agile Central users. The applications can be installed in custom pages within CA Agile Central or on a dashboard.

#### Atlassian's JIRA Align
[Agile Craft](https://agilecraft.com)

#### Sleuth
[Sleuth](https://www.sleuth.io)

#### Allstacks

[allstacks.com](https://www.allstacks.com/product/value-stream-intelligence)

### Analyst Landscape

[Gartner Market Guide for DevOps Value Stream Delivery Platforms](https://about.gitlab.com/analysts/gartner-vsdp21/)

Forrester's New Wave: Value Stream Management Tools, Q3 2018 uncovered an emerging market with no leaders. However, vendors from different niches of the development pipeline are converging to value stream management in response to customers seeking greater transparency into their processes.

Forrester’s vision for VSM includes:
- end-to-end visibility of the software development process, including the corresponding capture and storage of data, events, and artifacts
- definition and visualization of key performance indicators (KPIs)
- inclusive customer experience, which allows multiple roles (PMs, developers, QA, and release managers) to collaborate in one place
- governance, i.e. a framework to monitor compliance to organizational standards, automated audit capabilities and traceability.

Other Analysts have highlighted that Gitlab data gathering has much to offer and much more to mine and enable the insight generation. We have an immediate opportunity i to extend the insight generation based on the data gathered in the delivery pipelines. Once this is achieved we will integrate additional data sources beyond the DevOps toolchains.

We have the ability to reach the decision makers that are onsuming the insights generated from the Gitlab platform, and one of the key elements here is getting beyond the DORA 4 metrics into those that are more specifically targeted: security, compliance, financial, product, but also enterprise architecture, AI/ML delivery teams and the like.

Additional functionality, requested by clients includes:
- integration with other tools, including the ability to double-click into each tool to directly observe status or take action
- business value custom definitions in terms of financials, time, effort or similar
- mapping of business value, people, processes, data
- visualization dashboards, which users can customize to support different role-based views.

### Jobs to be done

<%= partial("direction/jtbd-list", locals: { stage_key: "Value Stream Management" }) %>

### Maturity plan

This category is currently **Minimal**. Our next step is **Viable** ([see epic](https://gitlab.com/groups/gitlab-org/-/epics/8325#maturity-plan)). You can read more about GitLab's [maturity framework here](https://about.gitlab.com/direction/maturity/).
